Subject: bug#17515: Correction: using log-switch causes normal non shortlog use fail format

From: Dmitry Gutov <[email-masked]>
Date: Fri, 18 Dec 2015 07:08:36 +0200

> ---- Stefan Monnier wrote ----
>
>>OK, I see your papers are in.  Now that I'm looking at your patch,
>>I have one more comment.  The previous version of your patch said:
>>
>>   Using --graph needs Mercurial 3.0+ or the graphlog extension.
>>
>>Yet my Debian install is still at 2.9.2, so using --graph by default
>>seems risky.  Is there a way to test whether "hg" supports "--graph"?

Could someone double-check whether --graph actually needs Mercurial 3.0?

https://www.mercurial-scm.org/wiki/GraphlogExtension says that the
minimum version is only 2.3.